GuideLab Docs

Open a direct thread or create a group

Lab only. A direct thread is get-or-create per member pair (201 when created, 200 when it existed) and notifies nobody until its first message. A group includes the caller and notifies its members.

POST
/team-chat/threads

Lab only. A direct thread is get-or-create per member pair (201 when created, 200 when it existed) and notifies nobody until its first message. A group includes the caller and notifies its members.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/team-chat/threads" \  -H "Content-Type: application/json" \  -d '{    "kind": "dm",    "userId": "string"  }'
{  "thread": {    "id": "string",    "kind": "dm",    "title": "string",    "memberUserIds": [      "string"    ],    "lastSequence": 0,    "lastActivityAt": "string",    "lastMessage": {      "id": "string",      "threadId": "string",      "sequence": 0,      "senderUserId": "string",      "body": "string",      "attachments": [        {          "id": "string",          "name": "string",          "mimeType": "string",          "size": 0        }      ],      "createdAt": "string"    },    "unreadCount": 0  }}
{  "thread": {    "id": "string",    "kind": "dm",    "title": "string",    "memberUserIds": [      "string"    ],    "lastSequence": 0,    "lastActivityAt": "string",    "lastMessage": {      "id": "string",      "threadId": "string",      "sequence": 0,      "senderUserId": "string",      "body": "string",      "attachments": [        {          "id": "string",          "name": "string",          "mimeType": "string",          "size": 0        }      ],      "createdAt": "string"    },    "unreadCount": 0  }}
Empty
Empty
Empty